import "../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import ContentBox from "../ContentBox/index.vue.mjs";
import ChartsOptionContent from "./components/ChartsOptionContent/index.vue.mjs";
import { useAsideHook } from "./hooks/useAside.hook.mjs";
import { unref, isRef } from "../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createVNode, createElementVNode as createBaseVNode, createCommentVNode } from "../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { useCssVars } from "../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.mjs";
import { normalizeClass } from "../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.mjs";
const _hoisted_1 = { class: "menu-width-box" };
const _hoisted_2 = { class: "menu-component-box" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    useCssVars((_ctx) => ({
      "54e51da8": unref(themeColor)
    }));
    const { getCharts, BarChartIcon, themeColor, selectOptions, selectValue, clickItemHandle, menuOptions } = useAsideHook();
    return (_ctx, _cache) => {
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_menu = resolveComponent("n-menu");
      const _component_go_skeleton = resolveComponent("go-skeleton");
      return openBlock(), createBlock(unref(ContentBox), {
        class: normalizeClass(["go-content-charts", { scoped: !unref(getCharts) }]),
        title: "组件",
        depth: 1,
        backIcon: false
      }, {
        icon: withCtx(() => [
          createVNode(_component_n_icon, {
            size: "14",
            depth: 2
          }, {
            default: withCtx(() => [
              createVNode(unref(BarChartIcon))
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createBaseVNode("aside", null, [
            createBaseVNode("div", _hoisted_1, [
              createVNode(_component_n_menu, {
                class: "menu-width",
                value: unref(selectValue),
                "onUpdate:value": [
                  _cache[0] || (_cache[0] = ($event) => isRef(selectValue) ? selectValue.value = $event : null),
                  unref(clickItemHandle)
                ],
                options: unref(menuOptions),
                "icon-size": 16,
                indent: 18
              }, null, 8, ["value", "options", "onUpdate:value"]),
              createBaseVNode("div", _hoisted_2, [
                createVNode(_component_go_skeleton, {
                  load: !unref(selectOptions),
                  round: "",
                  text: "",
                  repeat: 2,
                  style: { "width": "90%" }
                }, null, 8, ["load"]),
                unref(selectOptions) ? (openBlock(), createBlock(unref(ChartsOptionContent), {
                  selectOptions: unref(selectOptions),
                  key: unref(selectValue)
                }, null, 8, ["selectOptions"])) : createCommentVNode("", true)
              ])
            ])
          ])
        ]),
        _: 1
      }, 8, ["class"]);
    };
  }
});
export {
  _sfc_main as default
};
